Subject: Re: JGIT: discuss: diff/patch implementation

From: Francis Galiegue <[email-masked]>
Date: Mon, 10 Nov 2008 22:31:30 +0100

Le Monday 10 November 2008 21:52:42 Shawn O. Pearce, vous avez écrit :
> Junio C Hamano <[email-masked]> wrote:
> > Francis Galiegue <[email-masked]> writes:
> > > A very nice git feature, without even going as far as merges, is the
> > > cherry pick feature.
> >
> > I thought cherry-picking needs to be done in terms of 3-way merge, not
> > diff piped to patch, for correctness's sake.
>
> Yea, the 3-way merge cherry-pick is better.  But in a pinch you
> can (usually) get correct results from a "diff | patch" pipeline.
> Of course that doesn't always work, resulting in patches that don't
> apply cleanly, or worse, that apply at the wrong place silently.

Well, in this case, I'd say it's a case of a bottle being "half full" or "half 
empty".

The availability of even a simple diff|patch in jgit, and its being available 
in egit, would generally be seen as a "half full" bottle, and would, imho, 
GREATLY increase the appeal factor of egit, all the more that you have plenty 
of undo/redo ability in Eclipse... And, dare I say it, of git in general as 
an SCM to be used in many environments where Eclipse is the de facto IDE.

I know, I may sound irritating, but...

-- 
fge